API ReferenceJSON
Retrieve credential revocation status
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_STARTCREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_SUCCESSCREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_FAIL
GET
/v2/credentials/web-semantic/{id}/revocation-statusReturns the revocation status of the credential matching the provided ID.
Analytic events
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_START
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Credential ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/a80a5e7e-1972-4be6-8a4e-2adf09badf24/revocation-status"{
"isRevoked": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Set credential revocation status POST
Sets the revocation status of the credential that matches the provided ID as `true` (revoked) or `false` (unrevoked). ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_START * CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_SUCCESS * CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_FAIL
Retrieve revocation list GET
Returns the revocation list matching the provided ID.